Bug 483376 - Review Request: fluid-soundfont - Pro-quality GM/GS soundfont
Review Request: fluid-soundfont - Pro-quality GM/GS soundfont
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 486760 492203
  Show dependency treegraph
 
Reported: 2009-01-31 02:19 EST by Orcan Ogetbil
Modified: 2009-04-15 13:58 EDT (History)
8 users (show)

See Also:
Fixed In Version: 3.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 13:58:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-01-31 02:19:31 EST
Spec URL: http://6mata.com:8014/review/fluid-soundfont.spec
SRPM URL: http://6mata.com:8014/review/fluid-soundfont-3.1-1.fc10.src.rpm

WARNING: SRPM is 130MB

Description:
Release 3 of Frank Wen's pro-quality GM/GS soundfont. The soundfont has lots of
excellent samples, including all the GM instruments along side with the GS
instruments that are recycled and reprogrammed versions of the GM presets.

rpmlint is silent.


Since we have only one soundfont for the entire distribution (which is also nonfree), I want to include this free soundfont in Fedora. In my opinion, it is nicer than PersonalCopy-Lite-soundfont.

As I explained in the SPEC file, the upstream tarball has the soundfont only in sfArk format, which had to be converted to linux-friendly sf2 format by a non-free software. Debian folks already did this and we are borrowing their ready-to-go tarball.

This soundfont is 9 years old. Originally it didn't specify a license, although the README file inside the original tarball always said that "this is free". The author licensed this soundfont under MIT recently. 

Here is the story of when&how this soundfont received the MIT license and it got debianized.
Comment 1 Orcan Ogetbil 2009-01-31 02:29:20 EST
Forgot the link. Here it is:
   http://www.nabble.com/RFS:-fluid-soundfont----Fluid-(R3)-General-MIDI-SoundFont-td15579882.html


Adding Hans to the CC.

Hans, originally I made "GUS patches" subpackages for this one, the same way you did for the PersonalCopy soundfont. But then I ended up with a ~1.5GB RPM. Shall we look for a method to cut that size? Do we need GUS patches for this? Users can build them easily themselves if they want.
Comment 2 Hans de Goede 2009-01-31 08:28:42 EST
Woa, fluid relicensed under an MIT license, that is great news! You know I spend *days* mailing with soundfont authors to even find one that is freely re-distributable (albeit not free), so that we could atleast have midi playback functionality in Fedora.

Anyways about the gus patches, *a* set of gus patches is needed for (older) timidity derived midi playing code, as found in libtimidity, allegro and SDL_mixer to be able to play midi. timidity itself now can also handle sf2 files. 

Given that all those which need gus patches explictly require PersonalCopy-Lite's gus patches, and that those do a decent job (sf2 to gus format conversion is not perfect, as the feature sets of the 2 formats are not a 100% match), I see no use in having a gus version of the fluid font, esp. given the huge package size this will cause.
Comment 3 Orcan Ogetbil 2009-01-31 13:09:55 EST
I made an attempt to modify the SPEC file so that one can build the GUS subpackages by passing "--with GUS" to rpmbuild:

http://6mata.com:8014/review/fluid-soundfont.spec.optional.gus

Should I leave it like this, or should I revert?
Comment 4 Hans de Goede 2009-01-31 17:51:01 EST
Having --with GUS is fine with me, but seems of little value, so dropping it might be a good idea too.
Comment 5 Orcan Ogetbil 2009-02-01 16:57:45 EST
I managed to cut the size of the patches subpackage down to ~250MB by removing some banks (that are also not in the PersonalCopy-Lite) and by extracting only a single layer from each instrument. But 250MB is still too much.

I'll work on it more. Here's my working copy if someone wants to help:

http://6mata.com:8014/review/fluid-soundfont.spec.with.gus
Comment 6 Kevin Kofler 2009-03-06 10:33:54 EST
> Given that all those which need gus patches explictly require
> PersonalCopy-Lite's gus patches, and that those do a decent job (sf2 to gus
> format conversion is not perfect, as the feature sets of the 2 formats are not
> a 100% match), I see no use in having a gus version of the fluid font, esp.
> given the huge package size this will cause.

Well, the use would be to make them use a truly Free soundfont by default instead of a just freely distributable one.
Comment 7 Tom "spot" Callaway 2009-03-06 11:19:38 EST
Which one should I be reviewing, with gus or without?
Comment 8 Orcan Ogetbil 2009-03-06 11:32:15 EST
What do you think? Is 250MB too large for an RPM?
(it is really not hard for users to create these gus patches themselves)
Comment 9 Tom "spot" Callaway 2009-03-06 11:39:57 EST
Unless you think there is a serious advantage to the larger package, I'd prefer the smaller one. :)
Comment 10 Orcan Ogetbil 2009-03-06 11:49:06 EST
No, the gus patches are going to a different subpackage, which will be ~250MB.
The main package size won't change (~131MB)

Oh, by the way, I can trim a few more banks to get the gus subpackage down to
as low as ~100MB or so. But then it won't have as many banks as
PersonalCopy-Lite-patches has.
Comment 11 Tom "spot" Callaway 2009-03-06 11:55:09 EST
You'd know better than I would as to what decisions to make here. Make one and let me know what to review. :)
Comment 12 Orcan Ogetbil 2009-03-06 12:05:30 EST
Well, it is a matter of choice between freedom and quality (fluid-soundfont) versus convenience in terms of package size (pclite-soundfont).

I would personally vote for freedom and quality. Also, I believe that many people who are into music/audio production prefer quality. 

If it is up to me I would choose
http://6mata.com:8014/review/fluid-soundfont.spec.with.gus

Note that, you will need to download the SRPM in the original message and overwrite its SPEC file with this one to review the package.
Comment 13 Orcan Ogetbil 2009-03-10 15:05:55 EDT
Should I reupload the SRPM with the above SPEC (it's a huge file, and thus pain) ?
Comment 14 Tom "spot" Callaway 2009-03-17 16:08:27 EDT
Good:

- rpmlint checks return: nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED
Comment 15 Tom "spot" Callaway 2009-03-17 16:08:51 EDT
Whoops, forgot to mention that I reviewed/approved the one with gus.
Comment 16 Orcan Ogetbil 2009-03-17 17:02:33 EDT
Thanks spot!

New Package CVS Request
=======================
Package Name: fluid-soundfont
Short Description: Pro-quality GM/GS soundfont
Owners: oget
Branches: F-9 F-10
InitialCC:
Comment 17 Kevin Fenzi 2009-03-17 23:35:50 EDT
cvs done.
Comment 18 Fedora Update System 2009-04-14 16:32:51 EDT
fluid-soundfont-3.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fluid-soundfont-3.1-2.fc10
Comment 19 Fedora Update System 2009-04-15 13:58:19 EDT
fluid-soundfont-3.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.